/**********************************************************************************************************************			
Instituto Nacional de Estadstica (INE) www.ine.es			
***********************************************************************************************************************			
			
DESCRIPCIN:			
Este programa genera un fichero SAS con formatos, partiendo de un fichero sin ellos.			
			
Consta de las siguientes partes:			
	* 1. Definir la librera de trabajo --> Libname		
	* 2. Definicin de formatos --> PROC FORMAT		
	* 3. Vincular formatos a la base de datos --> PASO data		
			
 Entrada:                                                           			
     - Fichero SAS sin formatos: 	 EILU_2014.sas7bdat		
 Salida:                                                           			
     - Fichero SAS con formatos: 	 EILU_2014_conFormato.sas7bdat		
			
Donde:			
	* Operacin: EILU Encuesta de Insercin Laboral de Titulados Universitarios		
	* Periodo: 2014		
			
************************************************************************************************************************/			
			
/*1) Definir la librera de trabajo: introducir el directorio que desee como librera			
(se da como ejemplo 'C:\Mis resultados'), y copiar en ese directorio el fichero sas "EILU_2014.sas7bdat"*/			

libname ROutput 'C:\Mis resultados';
options fmtsearch = (ROutput ROutput.cat1);

* 2) DEFINICIN DE FORMATOS;
PROC FORMAT LIBRARY=ROutput.cat1;
value $TSEXO

"1"="Hombre"
"6"="Mujer"
;
value $TEDAD

"1"="Menores de 30 aos"
"2"="De 30 a 34 aos"
"3"="De 35 y ms aos"
;
value $TNACIO

"1"="Espaola"
"2"="Otra nacionalidad"
;
value $TRAMA

"1"="Artes y humanidades"
"2"="Ciencias"
"3"="Ciencias sociales y jurdicas"
"4"="Ingeniera y arquitectura"
"5"="Ciencias de la salud"
;
value $TAMBITO

"11"="Formacin de docentes de enseanza infantil"
"12"="Formacin de docentes de enseanza primaria"
"13"="Otra formacin de personal docente y ciencias de la educacin"
"21"="Artes"
"22"="Tcnicas audiovisuales y medios de comunicacin"
"23"="Humanidades"
"24"="Lenguas"
"31"="Psicologa"
"32"="Economa"
"33"="Otras ciencias sociales y del comportamiento"
"34"="Periodismo e informacin"
"35"="Administracin y gestin de empresas"
"36"="Otra educacin comercial y empresarial"
"37"="Derecho"
"41"="Ciencias de la vida"
"42"="Ciencias fsicas, qumicas, geolgicas"
"43"="Matemticas y estadstica"
"44"="Informtica"
"51"="Ingeniera y profesiones afines"
"52"="Industria manufacturera y produccin"
"53"="Arquitectura y construccin"
"61"="Agricultura, ganadera y pesca"
"62"="Veterinaria"
"71"="Medicina"
"72"="Enfermera y atencin a enfermos"
"73"="Otras ciencias de la salud"
"74"="Trabajo social y orientacin"
"81"="Turismo y hostelera"
"82"="Deportes"
"83"="Servicios de transporte"
;
value $TTPUNIV

"1"="Universidad Pblica"
"2"="Universidad Privada"
;
value $T1SINO

"0"="No"
"1"="S"
;
value $TPROXY

"1"="Entrevista directa con la persona seleccionada"
"2"="Entrevista proxy"
;
value $T2ESTM

"1"="Programa Erasmus"
"2"="Otros programas o becas dentro de la UE"
"3"="Otros programas o becas fuera de la UE"
"8"="No aplicable"
" "="NS/NC"
;
value $T3ESTM

"01"="Alemania"
"02"="Francia"
"03"="Italia"
"04"="Portugal"
"05"="Reino Unido"
"06"="Pases Nrdicos (Suecia, Noruega, Finlandia, Dinamarca e Islandia)"
"07"="Otro pas de la Unin Europea"
"08"="Otro pas europeo"
"09"="Un pas de Amrica del Norte"
"10"="Un pas de Amrica Central o Amrica del Sur"
"11"="Un pas de Asia"
"12"="Un pas de frica"
"13"="Un pas de Oceana"
"88"="No aplicable"
"  "="NS/NC"
;
value $T4ESTM

"1"="De 1 a 3 meses"
"2"="De 4 a 6 meses"
"3"="De 7 a 9 meses"
"4"="De 10 a 12 meses"
"5"="Ms de un ao"
"8"="No aplicable"
" "="NS/NC"
;
value $T2SINO

"1"="S"
"2"="No"
"8"="No aplicable"
" "="NS/NC"
;
value $TESTTIP

"1"="Diplomatura, ingeniera tcnica, arquitectura tcnica"
"2"="Lincenciatura, ingeniera, arquitectura"
"3"="Grado universitario de 240 crditos"
"4"="Grado universitario de ms de 240 crditos"
"5"="Mster"
"6"="Doctorado universitario"
"8"="No aplicable"
" "="NS/NC"
;
value $TESTMMN

"1"="Antes de comenzar los estudios de la titulacin que finaliz en 2010"
"2"="Durante la realizacin de los estudios de la titulacin que finaliz en 2010"
"3"="Despus de obtener la titulacin que finaliz en 2010"
"8"="No aplicable"
" "="NS/NC"
;
value $TESTRAM

"1"="Ciencias"
"2"="Ciencias de la salud"
"3"="Ciencias sociales y jurdicas"
"4"="Artes y humanidades"
"5"="Ingeniera y arquitectura"
"8"="No aplicable"
" "="NS/NC"
;
value $TESTSNT

"1"="S, ya ha completado esa formacin"
"2"="S, esta realizando el MIR o EIR o FIR o PIR, "
"3"="No, pero est preparando el examen de acceso"
"4"="No"
"8"="No aplicable (Titulacin no sanitaria)"
" "="NS/NC"
;
value $TESTCRS

"1"="Grado universitario de 240 crditos"
"2"="Grado universitario de ms de 240 crditos"
"3"="Master"
"4"="Doctorado universitario"
"5"="Estudios artsticos superiores (artes plsticas,diseo, msica y danza, arte dramtico o conservacin y restauracin de bienes culturales)"
"6"="Ciclos Formativos de grado superior (formacin profesional, artes plasticas y diseo) o Enseanzas Deportivas de Grado Superior"
"7"="No est cursando ninguno de los estudios anteriores"
" "="NS/NC"
;
value $Tidioma

"01"="Espaol"
"02"="Idioma cooficial (gallego, cataln, euskera o valenciano)"
"03"="Ingls"
"04"="Francs"
"05"="Alemn"
"06"="Italiano"
"07"="Portugus"
"08"="Ruso"
"09"="rabe"
"10"="Chino"
"11"="Otros idiomas"
"88"="No aplicable"
"  "="NS/NC"
;
value $TNivIdi

"1"="Nivel alto (Entiende una gran variedad de textos complicados y usa el idioma con flexibilidad)"
"2"="Nivel medio (Entiende lo esencial en el lenguaje comn y redacta textos sencillos)"
"3"="Nivel bajo (Entiende y usa las expresiones ms comunes )"
"8"="No aplicable"
;
value $TTIC

"1"="Usuario de nivel bsico (navegar por internet, enviar correos electronicos, copiar o mover archivos o carpetas, escribir un texto usando un procesador de textos, usar frmulas simples en hojas de clculo)"
"2"="Usuario de nivel avanzado (dar formato a textos, usar frmulas ms avanzadas y crear grficos en hojas de clculo, instalar dispositivos y/o programas, usar bases de datos)"
"3"="Usuario experto (escribir macros, programar, resolver problemas de software y hardware cuando el ordenador no funciona adecuadamente)"
" "="NS/NC"
;
value $TMesPrc

"1"="De 1 a 3 meses"
"2"="De 4 a 6 meses"
"3"="De 7 a 9 meses"
"4"="De 10 a 12 meses"
"5"="Ms de un ao"
"8"="No aplicable"
" "="NS/NC"
;
value $T1TRBPN

"1"="Trabajando"
"2"="En desempleo"
"3"="Inactivo"
;
value $T2TRBPN

"1"="Estudiante"
"2"="Jubilado"
"3"="Incapacitado para trabajar"
"4"="Dedicado a las labores del hogar"
"5"="Otra situacin"
"8"="No aplicable"
" "="NS/NC"
;
value $TPaisGr

"01"="Espaa"
"02"="Reino Unido"
"03"="Alemania"
"04"="Francia"
"05"="Otro pas de la Unin Europea"
"06"="Otro pas europeo (fuera de la UE)"
"07"="Un pas de Amrica del Norte"
"08"="Un pas de Amrica Central o Amrica del Sur"
"09"="Un pas de Asia"
"10"="Un pas de frica"
"11"="Un pas de Oceana"
"88"="No aplicable"
"  "="NS/NC"
;
value $TStProf

"1"="En prcticas, formacin o becario"
"2"="Asalariado con contrato permanente"
"3"="Asalariado con contrato temporal"
"4"="Empresario o trabajador independiente"
"5"="Ayuda familiar"
"8"="No aplicable"
" "="NS/NC"
;
value $TJornad

"1"="A tiempo completo"
"2"="A tiempo parcial"
"8"="No aplicable"
" "="NS/NC"
;
value $TTamano

"1"="De 1 a 10 personas"
"2"="Entre 11 y 19 personas"
"3"="Entre 20 y 49 personas"
"4"="50 o ms personas"
"8"="No aplicable"
" "="NS/NC"
;
value $TAnio

"8888"="No aplicable"
"    "="NS/NC"
;
value $TNivEst

"1"="Doctorado o postdoctorado"
"2"="Ttulo universitario (excepto doctorado o postdoctorado)"
"3"="Formacin profesional de grado superior"
"4"="Formacin profesional de grado medio/ bachillerato"
"5"="ESO, EGB,...etc"
"8"="No aplicable"
" "="NS/NC"
;
value $TAreEst

"1"="Exclusivamente su propia rea de estudios"
"2"="Su propia rea o alguna relacionada"
"3"="Un rea totalmente diferente"
"4"="Ningn rea en particular"
"8"="No aplicable"
" "="NS/NC"
;
value $TFacTrb

"1"="Nada"
"2"="Poco"
"3"="Algo"
"4"="Bastante"
"5"="Mucho"
"8"="No aplicable"
" "="NS/NC"
;
value $T2Jorna

"1"="Trabajo espordico (durante menos de tres meses)"
"2"="Trabajo a jornada parcial (durante ms de tres meses)"
"3"="Trabajo a jornada completa (durante ms de tres meses)"
"8"="No aplicable"
" "="NS/NC"
;
value $T1Tiemp

"0"="Continu al menos 6 meses ms en el trabajo que tena mientras estudiaba"
"1"="Menos de 3 meses"
"2"="De 3 a 6 meses"
"3"="De 6 meses a 1 ao"
"4"="De 1 ao a ao y medio"
"5"="De 1 ao y medio a 2 aos"
"6"="Ms de dos aos"
"8"="No aplicable"
;
value $T1Momen

"0"="Continu al menos 6 meses ms en el trabajo que tena mientras estudiaba"
"1"="Antes de acabar la carrera"
"2"="Despus de acabar la carrera"
"8"="No aplicable"
" "="NS/NC"
;
value $TSitPrf

"1"="En prcticas, formacin o becario"
"2"="Asalariado con contrato permanente"
"3"="Asalariado con contrato temporal"
"4"="Empresario o trabajador independiente"
"5"="Ayuda familiar"
"8"="No aplicable"
" "="NS/NC"
;
value $TNmEmpl

"20"="20 o ms"
"88"="No aplicable"
"  "="NS/NC"
;
value $T2Tiemp

"1"="Menos de 6 meses"
"2"="De 6 meses a 1 ao"
"3"="De 1 ao a ao y medio"
"4"="De 1 ao y medio a 2 aos"
"5"="2 o ms aos"
"8"="No aplicable"
" "="NS/NC"
;
value $T3SiNo

"1"="S"
"2"="No, pero est esperando respuesta a solicitudes anteriores"
"3"="No"
"8"="No aplicable"
" "="NS/NC"
;
value $T2Momen

"0"="No ha buscado empleo desde que se ha titulado"
"1"="Antes de acabar la carrera"
"2"="Despus de acabar la carrera"
"8"="No aplicable"
" "="NS/NC"
;
value $T3Tiemp

"0"="No ha buscado empleo desde que se ha titulado"
"1"="Menos de 3 meses"
"2"="De 3 a 6 meses"
"3"="De 6 meses a 1 ao"
"4"="De 1 ao a ao y medio"
"5"="De 1 ao y medio a 2 aos"
"6"="2 o ms aos"
"8"="No aplicable"
;
value $TImport

"1"="Nada importante"
"2"="Poco importante"
"3"="Bastante importante"
"4"="Muy importante"
"8"="No aplicable"
" "="NS/NC"
;
value $TCOTIZ

"1"="Por cuenta propia"
"2"="Por cuenta ajena"
"3"="Por cuenta propia y ajena"
"8"="No aplicable"
;
value $TQuintl

"1"="Primer quintil"
"2"="Segundo quintil"
"3"="Tercer quintil"
"4"="Cuarto quintil"
"5"="Quinto quintil"
"8"="No aplicable"
" "="NS/NC"
;
value $TNuCurs

"0"="No ha realizado ningn curso de formacin del SEPE"
"1"="Un curso de formacin del SEPE"
"2"="Dos cursos de formacin del SEPE"
"3"="Tres cursos de formacin del SEPE"
"4"="Cuatro cursos de formacin del SEPE"
;
value $TDsCurs

"01"="Administracin y gestin"
"02"="Actividades fsicas y deportivas"
"03"="Agraria"
"04"="Artes grficas"
"05"="Artes y artesanas"
"06"="Comercio y marketing"
"07"="Electricidad y electrnica"
"08"="Energa y agua"
"09"="Edificacin y obra civil"
"10"="Formacin complementaria"
"11"="Fabricacin mecnica"
"12"="Hostelera y turismo"
"13"="Industrias extractivas"
"14"="Informtica y comunicaciones"
"15"="Instalacin y mantenimiento"
"16"="Imagen personal"
"17"="Imagen y sonido"
"18"="Industrias alimentarias"
"19"="Madera, mueble y corcho"
"20"="Martimo pesquera"
"21"="Qumica"
"22"="Sanidad"
"23"="Seguridad y medioambiente"
"24"="Servicios socioculturales y a la comunidad"
"25"="Textil, confeccin y piel"
"26"="Transporte y mantenimiento de vehculos"
"27"="Vidrio y cermica"
"88"="No aplicable"
;
value $TDrCurs

"1"="200 horas o menos"
"2"="De 201 a 300 horas"
"3"="De 301 a 500 horas"
"4"="Ms de 500 horas"
"8"="No aplicable"
;
value $TReCurs

"1"="Abandona por colocacin"
"2"="Abandona por otras causas"
"3"="Termina con evaluacin positiva"
"4"="Termina con evaluacin negativa"
"8"="No aplicable"
;
value $TAnCurs

"8888"="No aplicable"
;

value $TTITULA

"001"="Arquitecto"
"002"="Ing. Agrnomo"
"003"="Ing. Aeronutico"
"004"="Ing. de Caminos, Canales y Puertos"
"005"="Ing. de Minas"
"006"="Ing. de Montes"
"007"="Ing. de Telecomunicacin"
"008"="Ing. Industrial"
"009"="Ing. en Informtica"
"010"="Ing. en Electrnica"
"011"="Ing. en Automtica y Electrnica Industrial"
"012"="Ing. de Organizacin Industrial"
"013"="Ing. Qumico"
"014"="Ing. en Geodesia y Cartografa"
"015"="Ing. Naval y Ocenico"
"016"="Ing. de Materiales"
"017"="Ing. Gelogo"
"021"="Grad. en Administracin y Direccin de Empresas"
"022"="Grad. en Ciencias de la Actividad Fsica y del Deporte"
"024"="Grad. en Enfermera"
"025"="Grad. en Fisioterapia"
"026"="Grad. en Trabajo Social"
"031"="Grad. en Relaciones Laborales"
"032"="Grad. en Turismo"
"035"="Grad. en Ingeniera Informtica"
"037"="Grad. en Ingeniera de la Edificacin"
"038"="Lic. en Farmacia"
"039"="Lic. en Veterinaria"
"040"="Lic. en Bellas Artes"
"041"="Lic. en Psicologa"
"042"="Lic. en Derecho"
"043"="Lic. en Ciencias del Mar"
"044"="Lic. en Odontologa"
"045"="Lic. en Medicina"
"046"="Lic. en Fsica"
"047"="Lic. en Geologa"
"048"="Lic. en Matemticas"
"049"="Lic. en Biologa"
"050"="Lic. en Bioqumica"
"051"="Lic. en Administracin y Direccin de Empresas"
"052"="Lic. en Economa"
"053"="Lic. en Investigacin y Tcnicas de Mercado"
"054"="Lic. en Ciencias Polticas y de la Administracin"
"055"="Lic. en Sociologa"
"056"="Lic. en Publicidad y Relaciones Pblicas"
"057"="Lic. en Traduccin e Interpretacin"
"058"="Lic. en Filosofa"
"059"="Lic. en Filologa Alemana"
"060"="Lic. en Filologa rabe"
"061"="Lic. en Filologa Catalana"
"062"="Lic. en Filologa Clsica"
"063"="Lic. en Filologa Francesa"
"064"="Lic. en Filologa Gallega"
"065"="Lic. en Filologa Hispnica"
"066"="Lic. en Filologa Inglesa"
"067"="Lic. en Filologa Romnica"
"068"="Lic. en Filologa Vasca"
"069"="Lic. en Teora de la Literatura y Literatura Comparada"
"070"="Lic. en Geografa"
"071"="Lic. en Historia"
"072"="Lic. en Historia del Arte"
"073"="Lic. en Antropologa Social y Cultural"
"074"="Lic. en Ciencia y Tecnologa de los Alimentos"
"075"="Lic. en Comunicacin Audiovisual"
"076"="Lic. en Periodismo"
"077"="Lic. en Mquinas Navales"
"078"="Lic. en Documentacin"
"079"="Lic. en Humanidades"
"080"="Lic. en Lingstica"
"081"="Lic. en Nutica y Transporte Martimo"
"082"="Lic. en Pedagoga"
"083"="Lic. en Psicopedagoga"
"084"="Lic. en Qumica"
"085"="Lic. en Ciencias Actuariales y Financieras"
"086"="Lic. en Ciencias Ambientales"
"087"="Lic. en Ciencias de la Actividad Fsica y del Deporte"
"088"="Lic. en Ciencias y Tcnicas Estadsticas"
"089"="Lic. en Historia y Ciencias de la Msica"
"090"="Lic. en Enologa"
"091"="Lic. en Ciencias del Trabajo"
"092"="Lic. en Biotecnologa"
"093"="Lic. en Estudios de Asia Oriental"
"094"="Lic. en Criminologa"
"095"="Ing. Tc. en Informtica"
"096"="Dip. en Estadstica"
"097"="Dip. en Biblioteconoma y Documentacin"
"098"="Dip. en Enfermera"
"099"="Dip. en Fisioterapia"
"100"="Dip. en Trabajo Social"
"101"="Dip. en Ciencias Empresariales"
"102"="Dip. en Podologa"
"103"="Dip. en ptica y Optometra"
"104"="Dip. en Terapia Ocupacional"
"105"="Dip. en Gestin y Administracin Pblica"
"106"="Dip. en Relaciones Laborales"
"107"="Dip. en Logopedia"
"108"="Dip. en Educacin Social"
"109"="Dip. en Mquinas Navales"
"110"="Dip. en Navegacin Martima"
"111"="Dip. en Turismo"
"112"="Dip. en Nutricin Humana y Diettica"
"113"="Maestro-Especialidad de Educacin Infantil"
"114"="Maestro-Especialidad de Educacin Primaria"
"115"="Maestro-Especialidad de Lengua Extranjera"
"116"="Maestro-Especialidad de Educacin Fsica"
"117"="Maestro-Especialidad de Educacin Musical"
"118"="Maestro-Especialidad de Educacin Especial"
"119"="Maestro-Especialidad de Audicin y Lenguaje"
"120"="Ing. Tc. en Topografa"
"121"="Ing. Tc. en Diseo Industrial"
"122"="Ing. Tc. en Informtica de Gestin"
"123"="Ing. Tc. en Informtica de Sistemas"
"124"="Ing. Tc. de Obras Pblicas"
"125"="Ing. Tc. Industrial"
"126"="Ing. Tc. de Telecomunicacin"
"127"="Arquitecto Tcnico"
"128"="Ing. Tc. Aeronutico"
"129"="Ing. Tc. Agrcola"
"130"="Ing. Tc. Forestal"
"131"="Ing. Tc. de Minas"
"132"="Ing. Tc. Naval"
"998"="Otros grados"
"999"="Otras titulaciones (no grados)"
;
value $TOcupac

"0121"="Personal sanitario; Mdico (cualquier especialidad), enfermero, matrn, farmacetico, dentista, ptico, fisioterapeuta, podlogo, logopeda"
"0120"="Personal sanitario; Veterinario"
"0133"="Personal sanitario; Tcnico sanitario de laboratorio, pruebas diagnsticas, prtesis; ayudante de veterinaria, higienista bucodental"
"0156"="Personal sanitario; Auxiliar de enfermera, celador, camillero, ayudante de farmacia"
"0222"="Personal docente y profesionales del deporte; Maestro, profesor, tcnico de educacin infantil"
"0223"="Personal docente y profesionales del deporte; Profesor, tcnico de educacin especial; profesor de clases particulares o academias"
"0237"="Personal docente y profesionales del deporte; Deportista, entrenador profesional; monitor de deportes y tiempo libre"
"0258"="Personal docente y profesionales del deporte; Instructor de autoescuela"
"0325"="Profesionales del derecho, la economa, las ciencias sociales y la cultura; Abogado, fiscal, juez, notario, registrador, procurador"
"0328"="Profesionales del derecho, la economa, las ciencias sociales y la cultura; Economista; Psiclogo, socilogo, trabajador social"
"0326"="Profesionales del derecho, la economa, las ciencias sociales y la cultura; Contable, analista o asesor financiero (excepto tenedor de libros, tasador, intermediario de cambio y bolsa)"
"0334"="Profesionales del derecho, la economa, las ciencias sociales y la cultura; Tenedor de libros, tasador, intermediario de cambio y bolsa,..."
"0329"="Profesionales del derecho, la economa, las ciencias sociales y la cultura; Bibliotecario, conservador, escritor, intrprete, traductor; Msico, pintor, escultor, actor/actriz, bailarn, torero"
"0320"="Profesionales del derecho, la economa, las ciencias sociales y la cultura; Periodista, locutor"
"0438"="Tecnologas de la informacin, las comunicaciones y audiovisuales ; Programador informtico; operador de sistemas, redes, web y asistencia al usuario; tcnico en grabacin audiovisual, radiodifusin, telecomunicaciones"
"0427"="Tecnologas de la informacin, las comunicaciones y audiovisuales ; Analista y diseador de software, multimedia, bases de datos y redes informticas"
"0424"="Tecnologas de la informacin, las comunicaciones y audiovisuales ; Diseador grfico, multimedia"
"0443"="Tecnologas de la informacin, las comunicaciones y audiovisuales ; Grabador de datos"
"0437"="Tecnologas de la informacin, las comunicaciones y audiovisuales ; Fotgrafo"
"0511"="Directores y gerentes; Miembro del poder ejecutivo o de los cuerpos legislativos; directivo de la Administracin Pblica u organizaciones de inters social; director general, presidente ejecutivo"
"0513"="Directores y gerentes; Director de produccin u operaciones"
"0512"="Directores y gerentes; Director de departamentos administrativos (recursos humanos, financieros,) o comerciales (ventas, publicidad,)"
"0514"="Directores y gerentes; Director o gerente de empresas de alojamiento, restauracin o comercio"
"0515"="Directores y gerentes; Director o gerente de otras empresas de servicios (recreativas, deportivas, culturales, de gestin de residuos,)"
"0620"="Otras ocupaciones propias de estudios universitarios (ingeniero, arquitecto, matemtico, fsico, bilogo, profesional de la publicidad, grupos A1 y A2 de las AAPP ); Ingeniero tcnico y superior (industrial, elctrico, electrnico, de telecomunicaciones,), arquitecto, aparejador, topgrafo, enlogo"
"0621"="Otras ocupaciones propias de estudios universitarios (ingeniero, arquitecto, matemtico, fsico, bilogo, profesional de la publicidad, grupos A1 y A2 de las AAPP ); Ingeniero tcnico y superior (agrnomo, de montes, )"
"0624"="Otras ocupaciones propias de estudios universitarios (ingeniero, arquitecto, matemtico, fsico, bilogo, profesional de la publicidad, grupos A1 y A2 de las AAPP ); Fsico, qumico, estadstico, meteorlogo, gegrafo, bilogo, zologo, botnico"
"0626"="Otras ocupaciones propias de estudios universitarios (ingeniero, arquitecto, matemtico, fsico, bilogo, profesional de la publicidad, grupos A1 y A2 de las AAPP ); Profesional en publicidad, mrketing y relaciones pblicas; Inspector o subinspector de Hacienda; otras ocupaciones exclusivas de las AAPP (grupos A1 o A2)"
"0700"="Seguridad, defensa y proteccin civil; Oficial, suboficial, tropa o marinera de las Fuerzas Armadas"
"0726"="Seguridad, defensa y proteccin civil; Inspector o comisario de Polica, oficial de la Guardia Civil"
"0736"="Seguridad, defensa y proteccin civil; Tcnico de la Polica, suboficial de la Guardia Civil"
"0759"="Seguridad, defensa y proteccin civil; Guardia civil, polica nacional, autonmico, municipal, vigilante privado, guardia jurado, vigilante forestal, vigilante de prisiones, bombero"
"0724"="Seguridad, defensa y proteccin civil; Ambientlogo"
"0831"="Tcnicos y supervisores de la industria; Tcnico en electricidad, electrnica, construccin, laboratorio, ingeneras; tcnico de control de procesos; tcnico de control de calidad"
"0832"="Tcnicos y supervisores de la industria; Encargado o jefe de equipo de las industrias manufactureras"
"0926"="Representantes, agentes comerciales; Visitador mdico, representante de ventas tcnicas"
"0935"="Representantes, agentes comerciales; Agente o representante comercial; agente inmobiliario; agente de seguros, compras; consignatario"
"1041"="Personal administrativo; Administrativo contable, de nminas; auxiliar bancario; empleado administrativo de almacn, logstica, transportes"
"1037"="Personal administrativo; Auxiliar de justicia, oficial de notara"
"1036"="Personal administrativo; Secretario o asistente administrativo, personal de expedicin de licencias, otro profesional de apoyo de las AAPP (grupos C o D)"
"1042"="Personal administrativo; Empleado de bibliotecas, archivos; Empleado de servicios de correos, codificador, corrector o servicios de personal"
"1044"="Personal administrativo; Telefonista, teleoperador, recepcionista, empleado de agencias de viajes, empleado de informacin al usuario, cajero de bancos, empleado de mostrador de correos"
"1043"="Personal administrativo; Grabador de datos; Otro personal administrativo sin tareas de atencin al pblico"
"1045"="Personal administrativo; Otro personal administrativo con tareas de atencin al pblico"
"1150"="Cocineros, camareros; Camarero o cocinero propietario"
"1151"="Cocineros, camareros; Camarero o cocinero asalariado"
"1193"="Cocineros, camareros; Ayudante de cocina o preparador de comidas rpidas"
"1252"="Dependientes, vendedores, cajeros; Dependiente"
"1255"="Dependientes, vendedores, cajeros; Cajero (excepto bancos) y taquillero"
"1254"="Dependientes, vendedores, cajeros; Vendedor en quioscos o en mercadillos, televendedor, promotor comercial, modelo"
"1253"="Dependientes, vendedores, cajeros; Comerciantes propietarios de tiendas"
"1244"="Dependientes, vendedores, cajeros; Vendedor de cupones, loteras, bingos"
"1294"="Dependientes, vendedores, cajeros; Vendedor callejero fuera de mercadillos"
"1357"="Servicios personales y otros servicios (cuidador, peluquero, decorador, delineante, azafato); Cuidador de nios (domicilios, guarderas), cuidador de otras personas en domicilios"
"1358"="Servicios personales y otros servicios (cuidador, peluquero, decorador, delineante, azafato); Peluquero, esteticista; Azafato de avin, de tierra, gua turstico"
"1337"="Servicios personales y otros servicios (cuidador, peluquero, decorador, delineante, azafato); Diseador, decorador"
"1331"="Servicios personales y otros servicios (cuidador, peluquero, decorador, delineante, azafato); Delineante, diseador tcnico"
"1484"="Camioneros, taxistas, mensajeros y otros conductores; Camionero, taxista, conductor de coche o furgoneta, conductor de autobs; Repartidor o mensajero en motocicleta"
"1483"="Camioneros, taxistas, mensajeros y otros conductores; Conductor de trenes"
"1591"="Servicio de limpieza, conserjes; Empleado domstico"
"1592"="Servicio de limpieza, conserjes; Personal de limpieza de oficinas, hoteles, limpiador de vehculos, ventanas, otra limpieza a mano"
"1558"="Servicio de limpieza, conserjes; Conserje, portero de edificios"
"1581"="Servicio de limpieza, conserjes; Operador de mquinas de lavandera y tintorera"
"1594"="Servicio de limpieza, conserjes; Barrendero, recogedor de basura, clasificador de desechos"
"1674"="Mecnicos, reparadores, soldadores, operadores de mquinas-herramienta; Mecnico, ajustador de maquinaria"
"1675"="Mecnicos, reparadores, soldadores, operadores de mquinas-herramienta; Reparador de equipos elctricos, electrnicos y de telecomunicaciones"
"1673"="Mecnicos, reparadores, soldadores, operadores de mquinas-herramienta; Chapista, soldador, montador de estructuras metlicas, operador de mquinas-herramienta, cerrajero, herrero, matricero"
"1782"="Obreros en produccin mecanizada, montadores; Montador de productos industriales"
"1731"="Obreros en produccin mecanizada, montadores; Operador de robots industriales"
"1781"="Obreros en produccin mecanizada, montadores; Operador de maquinaria fija: horno, prensa, sierra, fresadora, mquinas de embalaje, embotellado, etiquetado, excepto artes grficas y control de procesos; Trabajador en cadena de produccin, excepto artes grficas y tcnicos de control de procesos"
"1776"="Obreros en produccin mecanizada, montadores; Oficial y operario de las artes grficas"
"1877"="Trabajadores de la industria tradicional, artesanos; Elaborador de alimentos, bebidas o tabacos"
"1878"="Trabajadores de la industria tradicional, artesanos; Sastre, zapatero, bordador, tapicero, ebanista"
"1876"="Trabajadores de la industria tradicional, artesanos; Artesano (cermica, vidrio, madera, cuero, textil), joyero, relojero"
"1961"="Agricultores, ganaderos, pescadores y sus peones; Jardinero, horticultor (huertas, viveros, invernaderos), agricultor"
"1962"="Agricultores, ganaderos, pescadores y sus peones; Ganadero, pastor"
"1964"="Agricultores, ganaderos, pescadores y sus peones; Pescador, criador de especies acuticas y trabajador forestal"
"1983"="Agricultores, ganaderos, pescadores y sus peones; Conductor de tractor y otra maquinaria agrcola mvil"
"1963"="Agricultores, ganaderos, pescadores y sus peones; Trabajador agropecuario"
"1995"="Agricultores, ganaderos, pescadores y sus peones; Pen agrcola, de la ganadera o la pesca"
"2031"="Trabajadores de la construccin o la minera; Delineante, diseador tcnico"
"2032"="Trabajadores de la construccin o la minera; Jefe de obra, capataz, encargado"
"2071"="Trabajadores de la construccin o la minera; Albail, encofrador, ferrallista, trabajador en hormign, carpintero (madera, aluminio)"
"2083"="Trabajadores de la construccin o la minera; Conductor-operador de maquinaria pesada"
"2072"="Trabajadores de la construccin o la minera; Escayolista, yesista, pintor, empapelador, barnizador, parquetero, alicatador; Fontanero, instalador de refrigeracin y climatizacin; Instalador de material aislante, de placas de energa solar, cristalero"
"2075"="Trabajadores de la construccin o la minera; Electricista"
"2081"="Trabajadores de la construccin o la minera; Minero, sondista"
"2096"="Trabajadores de la construccin o la minera; Pen de la construccin o la minera"
"2198"="Peones y trabajadores manuales de industrias y servicios; Reponedor de hipermercados, mozo de carga, mudanzas"
"2197"="Peones y trabajadores manuales de industrias y servicios; Pen industrial: lavador, embotellador... a mano"
"2194"="Peones y trabajadores manuales de industrias y servicios; Repartidor (publicidad, prensa gratuita, etc), ordenanza y mozo de equipaje; Lector de contadores y recaudador de mquinas expendedoras"
"8888"="No aplicable"
;
value $TCNAE

"AA"="Agricultura, ganadera, silvicultura y pesca"
"BB"="Industrias extractivas"
"CC"="Industria manufacturera"
"DD"="Suministro de energa elctrica, gas, vapor y aire acondicionado"
"EE"="Suministro de agua, actividades de saneamiento, gestin de residuos y descontaminacin"
"FF"="Construccin e ingeniera civil"
"GG"="Comercio al por mayor y al por menor; reparacin de vehculos de motor y motocicletas"
"HH"="Transporte, almacenamiento, actividades postales y de correos"
"II"="Hostelera"
"JJ"="Informacin y comunicaciones (actividades de edicin, cinematogrficas, de vdeo, de sonido, programas de televisin, telecomunicaciones, programacin informtica y servicios de informacin)"
"KK"="Actividades financieras y de seguros"
"LL"="Actividades inmobiliarias"
"M1"="Actividades profesionales, cientficas y tcnicas"
"M2"="Actividades de fotografa"
"M3"="Actividades veterinarias"
"N1"="Actividades de alquiler"
"N2"="Actividades relacionadas con el empleo"
"N3"="Actividades de agencias de viajes, operadores tursticos, servicios de reservas y actividades relacionadas con los mismos"
"N4"="Actividades de seguridad e investigacin"
"N5"="Servicios a edificios y actividades de jardinera"
"N6"="Actividades administrativas de oficina y otras actividades auxiliares a las empresas"
"OO"="Administracin Pblica y defensa; Seguridad Social obligatoria"
"PP"="Educacin"
"QQ"="Actividades sanitarias y de servicios sociales"
"RR"="Actividades artsticas, culturales, recreativas, deportivas y de entrenimiento"
"S1"="Actividades asociativas y sindicales"
"S2"="Reparacin de ordenadores"
"S3"="Efectos personales y artculos de uso domstico y otros servicios personales (lavado y limpieza de prendas, peluquera y otros tratamientos de belleza, pompas fnebres y actividades relacionadas)"
"S4"="Actividades de mantenimiento fsico"
"TT"="Particulares como empleadores de personal domstico; particulares como productores de bienes y servicios para uso propio"
"UU"="Actividades de organizaciones y organismos extraterritoriales"
"88"="No aplicable (TRAB_PRIN_1 = '2'  '3')"
"  "="NS/NC"
;

* 3) VINCULAR FORMATOS A LA BASE DE DATOS;
data ROutput.EILU_2014_ConFormato;
	set ROutput.EILU_2014;


FORMAT SEXO $TSEXO.;
FORMAT EDAD $TEDAD.;
FORMAT NACIO $TNACIO.;
FORMAT TITU $TTITULA.;
FORMAT RAMA $TRAMA.;
FORMAT AMBITO $TAMBITO.;
FORMAT T_UNIV $TTPUNIV.;
FORMAT DISCA $T1SINO.;
FORMAT PROXY $TPROXY.;
FORMAT EST_B1 $T2SINO.;
FORMAT EST_B21 $T2SINO.;
FORMAT EST_B22 $T2SINO.;
FORMAT EST_B23 $T2SINO.;
FORMAT EST_B24 $T2SINO.;
FORMAT EST_B25 $T2SINO.;
FORMAT EST_M1 $T2SINO.;
FORMAT EST_M2 $T2ESTM.;
FORMAT EST_M3 $T3ESTM.;
FORMAT EST_M4 $T4ESTM.;
FORMAT EST_MES $T2SINO.;
FORMAT SAT1 $T2SINO.;
FORMAT SAT2 $T2SINO.;
FORMAT EST2_1 $T2SINO.;
FORMAT EST2_2 $T2SINO.;
FORMAT EST2_3 $T2SINO.;
FORMAT EST2_FU $T2SINO.;
FORMAT EST2_TI $TESTTIP.;
FORMAT EST2_TE $TESTMMN.;
FORMAT EST2_MA $T2SINO.;
FORMAT EST2_MS $TESTRAM.;
FORMAT EST2_T2 $TESTMMN.;
FORMAT EST2_SA $TESTSNT.;
FORMAT EST3 $T2SINO.;
FORMAT EST2_NC $TESTCRS.;
FORMAT EST4 $T2SINO.;
FORMAT IDI_MT1 $Tidioma.;
FORMAT IDI_MT2 $Tidioma.;

FORMAT IDIOMA1 $Tidioma.;
FORMAT NIV_ID1 $TNivIdi.;
FORMAT IDIOMA2 $Tidioma.;
FORMAT NIV_ID2 $TNivIdi.;
FORMAT IDIOMA3 $Tidioma.;
FORMAT NIV_ID3 $TNivIdi.;
FORMAT IDIOMA4 $Tidioma.;
FORMAT NIV_ID4 $TNivIdi.;
FORMAT IDIOMA5 $Tidioma.;
FORMAT NIV_ID5 $TNivIdi.;
FORMAT IDIOMA6 $Tidioma.;
FORMAT NIV_ID6 $TNivIdi.;
FORMAT IDIOMA7 $Tidioma.;
FORMAT NIV_ID7 $TNivIdi.;
FORMAT TITIDI1 $T2SINO.;
FORMAT TITIDI2 $T2SINO.;
FORMAT TITIDI3 $T2SINO.;
FORMAT TIC $TTIC.;
FORMAT PRAC_CR $T2SINO.;
FORMAT PRAC_CM $TMesPrc.;
FORMAT EST_XCU $T2SINO.;
FORMAT EST_X_M $TMesPrc.;
FORMAT TRBPRN1 $T1TRBPN.;
FORMAT TRBPRN2 $T2TRBPN.;
FORMAT LTR_PAI $TPaisGr.;
FORMAT SIT_PRO $TStProf.;
FORMAT JORNADA $TJornad.;
FORMAT TRABOC $TOcupac.;
FORMAT TR_CNAE $TCNAE.;
FORMAT TR_TAM $TTamano.;
FORMAT TR_ANIO $TAnio.;
FORMAT DISTRE2 $TNivEst.;
FORMAT DISTRE3 $TAreEst.;
FORMAT DSTRE41 $TFacTrb.;
FORMAT DSTRE42 $TFacTrb.;
FORMAT DSTRE43 $TFacTrb.;
FORMAT DSTRE44 $TFacTrb.;
FORMAT DSTRE45 $TFacTrb.;
FORMAT DSTRE46 $TFacTrb.;
FORMAT TRAB_F1 $T2SINO.;
FORMAT TRAB_F2 $T2SINO.;
FORMAT TRAB_F3 $T2SINO.;
FORMAT TRAB_F4 $T2Jorna.;
FORMAT BQTRA22 $T2SINO.;
FORMAT BQTRA23 $T2SINO.;
FORMAT HA_TRAB $T2SINO.;
FORMAT BQ_TTRA $T1Tiemp.;
FORMAT BQ_EMP $T1Momen.;
FORMAT BSQCOM1 $T2SINO.;
FORMAT BSQCOM2 $T2SINO.;
FORMAT BSQCOM3 $T2SINO.;
FORMAT BSQCOM4 $T2SINO.;
FORMAT BSQCOM5 $T2SINO.;
FORMAT BSQCOM6 $T2SINO.;
FORMAT BSQCOM7 $T2SINO.;
FORMAT BSQCOM8 $T2SINO.;
FORMAT BSQCOM9 $T2SINO.;
FORMAT PR_PAIS $TPaisGr.;
FORMAT PRIMOC $TOcupac.;
FORMAT PSIT_PR $TSitPrf.;
FORMAT P_JOR $TJornad.;
FORMAT P_NIVEL $TNivEst.;
FORMAT P_AREA $TAreEst.;
FORMAT P_CONOC $T2SINO.;
FORMAT P_CONTI $T2SINO.;
FORMAT BQ_NUM $TNmEmpl.;
FORMAT BQ_TP_T $T2Tiemp.;
FORMAT BQ_OTRO $T3SiNo.;
FORMAT DISTRE6 $T2SINO.;
FORMAT BSQTRA2 $T2SINO.;
FORMAT BSQEMP2 $T2Momen.;
FORMAT BQTIEM2 $T3Tiemp.;
FORMAT BSQCO21 $T2SINO.;
FORMAT BSQCO22 $T2SINO.;
FORMAT BSQCO23 $T2SINO.;
FORMAT BSQCO24 $T2SINO.;
FORMAT BSQCO25 $T2SINO.;
FORMAT BSQCO26 $T2SINO.;
FORMAT BSQCO27 $T2SINO.;
FORMAT BSQDIF1 $TImport.;
FORMAT BSQDIF2 $TImport.;
FORMAT BSQDIF3 $TImport.;
FORMAT BSQDIF4 $TImport.;
FORMAT BSQDIF5 $TImport.;
FORMAT BSQDIF6 $TImport.;
FORMAT BSQRE $T2SINO.;
FORMAT BSQREM1 $T2SINO.;
FORMAT BSQREM2 $T2SINO.;
FORMAT BSQREM3 $T2SINO.;
FORMAT BSQREM4 $T2SINO.;
FORMAT BSQREM5 $T2SINO.;
FORMAT BSQREM6 $T2SINO.;
FORMAT BSQREM7 $T2SINO.;
FORMAT LRES_PA $TPaisGr.;
FORMAT MOV_IN $T2SINO.;
FORMAT MOVRAZ1 $T2SINO.;
FORMAT MOVRAZ2 $T2SINO.;
FORMAT MOVRAZ3 $T2SINO.;
FORMAT MOVRAZ4 $T2SINO.;
FORMAT MOVRAZ5 $T2SINO.;
FORMAT MVFUERA $T2SINO.;
FORMAT MOVPAI1 $TPaisGr.;
FORMAT MOVPAI2 $TPaisGr.;
FORMAT MOVPAI3 $TPaisGr.;
FORMAT MOVRA21 $T2SINO.;
FORMAT MOVRA22 $T2SINO.;
FORMAT MOVRA23 $T2SINO.;
FORMAT MOVRA24 $T2SINO.;
FORMAT MOVRA25 $T2SINO.;
FORMAT MOVRA26 $T2SINO.;
FORMAT RETORNO $T2SINO.;
FORMAT ALSSM11 $T2SINO.;
FORMAT COTIZ11 $TCOTIZ.;
FORMAT BCOTC11 $TQuintl.;
FORMAT ALSSM12 $T2SINO.;
FORMAT COTIZ12 $TCOTIZ.;
FORMAT BCOTC12 $TQuintl.;
FORMAT ALSSM13 $T2SINO.;
FORMAT COTIZ13 $TCOTIZ.;
FORMAT BCOTC13 $TQuintl.;
FORMAT ALSSM14 $T2SINO.;
FORMAT COTIZ14 $TCOTIZ.;
FORMAT BCOTC14 $TQuintl.;
FORMAT N_CURS $TNuCurs.;
FORMAT DENCUR1 $TDsCurs.;
FORMAT DURCUR1 $TDrCurs.;
FORMAT RESCUR1 $TReCurs.;
FORMAT ANHCUR1 $TAnCurs.;
FORMAT DENCUR2 $TDsCurs.;
FORMAT DURCUR2 $TDrCurs.;
FORMAT RESCUR2 $TReCurs.;
FORMAT ANHCUR2 $TAnCurs.;
FORMAT DENCUR3 $TDsCurs.;
FORMAT DURCUR3 $TDrCurs.;
FORMAT RESCUR3 $TReCurs.;
FORMAT ANHCUR3 $TAnCurs.;
FORMAT DENCUR4 $TDsCurs.;
FORMAT DURCUR4 $TDrCurs.;
FORMAT RESCUR4 $TReCurs.;
FORMAT ANHCUR4 $TAnCurs.;


RUN;
/* FIN PROGRAMA: Microdatos en SAS: EILU_2014.sas*/
